package com.czg.order.service;

import com.czg.order.dto.FinanceStsDTO;
import com.czg.order.param.FinanceStsQueryParam;
import com.czg.order.param.SaleSummaryCountParam;
import jakarta.servlet.http.HttpServletResponse;

/**
 * @author yjjie
 * @date 2026/2/2 10:10
 */
public interface FinanceStsService {

    /**
     * 查询财务统计
     */
    FinanceStsDTO getFinanceSts(FinanceStsQueryParam param);

    void exportFinanceSts(FinanceStsQueryParam param, HttpServletResponse response);

    void printDayReport(SaleSummaryCountParam param);

    void printDaySettle(SaleSummaryCountParam param);

}
